io.vertx.ext.web.api

## Interface RequestParameter

-     public interface RequestParameter

  Request parameter holder
  Author:
    Francesco Guardiani @slinkydeveloper

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RequestParameter` | `create(Object value)`
    `static RequestParameter` | `create(String name, Object value)`
    `List<RequestParameter>` | `getArray()` Returns null if value is not a list, otherwise it returns value
    `Boolean` | `getBoolean()` Returns null if value is not a Boolean, otherwise it returns value
    `Double` | `getDouble()` Returns null if value is not a Double, otherwise it returns value
    `Float` | `getFloat()` Returns null if value is not a Float, otherwise it returns value
    `Integer` | `getInteger()` Returns null if value is not an Integer, otherwise it returns value
    `JsonArray` | `getJsonArray()` Returns null if value is not a JsonArray, otherwise it returns value
    `JsonObject` | `getJsonObject()` Returns null if value is not a JsonObject, otherwise it returns value
    `Long` | `getLong()` Returns null if value is not a Long, otherwise it returns value
    `String` | `getName()` Get parameter name
    `List<String>` | `getObjectKeys()` If value is a map of fields, it returns keys of map, otherwise it returns null
    `RequestParameter` | `getObjectValue(String key)` If value is a map of fields, it returns value of field with key provided, otherwise it returns null
    `String` | `getString()` Returns null if value is not a String, otherwise it returns value
    `boolean` | `isArray()` Returns true if value of RequestParameter is an array
    `boolean` | `isBoolean()` Returns true if value of RequestParameter is a Boolean instance
    `boolean` | `isDouble()` Returns true if value of RequestParameter is a Double instance
    `boolean` | `isEmpty()` Alias of `isNull()`
    `boolean` | `isFloat()` Returns true if value of RequestParameter is a Float instance
    `boolean` | `isInteger()` Returns true if value of RequestParameter is an Integer instance
    `boolean` | `isJsonArray()` Returns true if value of RequestParameter is a JsonArray instance
    `boolean` | `isJsonObject()` Returns true if value of RequestParameter is a JsonObject instance
    `boolean` | `isLong()` Returns true if value of RequestParameter is a Long instance
    `boolean` | `isNull()` Returns true if value is null
    `boolean` | `isObject()` Returns true if value of RequestParameter is a map of fields
    `boolean` | `isString()` Returns true if value of RequestParameter is a String instance
    `RequestParameter` | `merge(RequestParameter otherParameter)` Merge this request parameter with another one.
    `void` | `setName(String name)` Set parameter name
    `void` | `setValue(Object value)` Set value
    `Object` | `toJson()` Converts deeply this RequestParameter in a Json representation

- - ### Method Detail

    - #### setName

          void setName(String name)

      Set parameter name
      Parameters:
        `name` -

    - #### setValue

          void setValue(Object value)

      Set value
      Parameters:
        `value` -

    - #### getName

          String getName()

      Get parameter name
      Returns:

    - #### getObjectKeys

          List<String> getObjectKeys()

      If value is a map of fields, it returns keys of map, otherwise it returns null
      Returns:

    - #### getObjectValue

          RequestParameter getObjectValue(String key)

      If value is a map of fields, it returns value of field with key provided, otherwise it returns null
      Parameters:
        `key` -
      Returns:

    - #### isObject

          boolean isObject()

      Returns true if value of RequestParameter is a map of fields
      Returns:

    - #### getArray

          List<RequestParameter> getArray()

      Returns null if value is not a list, otherwise it returns value
      Returns:

    - #### isArray

          boolean isArray()

      Returns true if value of RequestParameter is an array
      Returns:

    - #### getString

          String getString()

      Returns null if value is not a String, otherwise it returns value
      Returns:

    - #### isString

          boolean isString()

      Returns true if value of RequestParameter is a String instance
      Returns:

    - #### getInteger

          Integer getInteger()

      Returns null if value is not an Integer, otherwise it returns value
      Returns:

    - #### isInteger

          boolean isInteger()

      Returns true if value of RequestParameter is an Integer instance
      Returns:

    - #### getLong

          Long getLong()

      Returns null if value is not a Long, otherwise it returns value
      Returns:

    - #### isLong

          boolean isLong()

      Returns true if value of RequestParameter is a Long instance
      Returns:

    - #### getFloat

          Float getFloat()

      Returns null if value is not a Float, otherwise it returns value
      Returns:

    - #### isFloat

          boolean isFloat()

      Returns true if value of RequestParameter is a Float instance
      Returns:

    - #### getDouble

          Double getDouble()

      Returns null if value is not a Double, otherwise it returns value
      Returns:

    - #### isDouble

          boolean isDouble()

      Returns true if value of RequestParameter is a Double instance
      Returns:

    - #### getBoolean

          Boolean getBoolean()

      Returns null if value is not a Boolean, otherwise it returns value
      Returns:

    - #### isBoolean

          boolean isBoolean()

      Returns true if value of RequestParameter is a Boolean instance
      Returns:

    - #### getJsonObject

          JsonObject getJsonObject()

      Returns null if value is not a JsonObject, otherwise it returns value
      Returns:

    - #### isJsonObject

          boolean isJsonObject()

      Returns true if value of RequestParameter is a JsonObject instance
      Returns:

    - #### getJsonArray

          JsonArray getJsonArray()

      Returns null if value is not a JsonArray, otherwise it returns value
      Returns:

    - #### isJsonArray

          boolean isJsonArray()

      Returns true if value of RequestParameter is a JsonArray instance
      Returns:

    - #### isNull

          boolean isNull()

      Returns true if value is null
      Returns:

    - #### isEmpty

          boolean isEmpty()

      Alias of `isNull()`
      Returns:

    - #### toJson

          Object toJson()

      Converts deeply this RequestParameter in a Json representation
      Returns:

    - #### merge

          RequestParameter merge(RequestParameter otherParameter)

      Merge this request parameter with another one. Note: the parameter passed by argument has the priority
      Parameters:
        `otherParameter` -
      Returns:

    - #### create

          static RequestParameter create(String name,
                                         Object value)

    - #### create

          static RequestParameter create(Object value)

Copyright © 2019 Eclipse. All rights reserved.